Skip to main content
`Ctrl`+`K`

# BVResize

Change the number of columns.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVResize(BV bv,PetscInt m,PetscBool copy)

Collective

## Input Parameters

- bv - the basis vectors

- m - the new number of columns

- copy - a flag indicating whether current values should be kept

## Note

Internal storage is reallocated. If the `copy` flag is set to true, then the contents are copied to the leading part of the new space.

## See Also

BV: Basis Vectors, `BVSetSizes()`, `BVSetSizesFromVec()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVResize_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVResize_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVResize_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVResize_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages